To stay updated on your favorite discussions, please create an account or log in. Then, click the Bookmark icon to subscribe and receive notifications.

Deepguard is only version 5 in the new F-Secure 12 for Windows Servers product?

etomcat
etomcat W/ Alumni Posts: 1,172 Firewall Master

Dear Sirs,

 

It appears the new FSAV (E)SS 12.00 version contains DeepGuard 5.0 module. I heard the home-user and micro-business products, like FSIS 2016 have been using Deepguard version 6 since last autumn. What is the cause of such a difference?

 

I'm a bit worried, since F-Secure doesn't include dedicated anti-cryptor protections, so most of the task of combatting ransomware infection attempts falls onto the system and application behaviour monitoring Deepguard module, which must perform impeccably. An outdated Deepguard binary module could negatively influence the protection level of F-Secure 12.

 

Thanks for your kind attention, Yours Sincerely:

Tamas Feher, Hungary.

Comments

This discussion has been closed.